function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Tables","2");
A=P.fN("Preface","3");
var B=A.fN("Related Documentation","4");
var C=B.fN("TIBCO Enterprise Message Service Documentation","4#34970");
C=B.fN("Other TIBCO Product Documentation","4#35009");
C=B.fN("Third Party Documentation","4#35024");
B=A.fN("Typographical Conventions","5");
B=A.fN("How to Contact TIBCO Customer Support","6");
A=P.fN("Chapter\u00a01 Introduction","7");
B=A.fN("Overview","8");
B=A.fN("Excluded Features and Restrictions","9");
B=A.fN("Strings and Character Encodings","10");
C=B.fN("IBM Mainframe\u2014COBOL and C","10#3094754");
B=A.fN("Configuring C and COBOL Clients for Fault-Tolerant Connections","11");
A=P.fN("Chapter\u00a02 Messages","12");
B=A.fN("Parts of a Message","13");
B=A.fN("Body Types","14");
B=A.fN("Headers","15");
B=A.fN("Properties","16");
C=B.fN("Setting Message Properties","16#1839637");
C=B.fN("EMS Properties","16#1839648");
C=B.fN("JMS Properties","16#3106357");
B=A.fN("Message Selectors","17");
B=A.fN("Data Type Conversion","18");
B=A.fN("tibemsMsg","19");
C=B.fN("tibemsMsg_Acknowledge","19#1830767");
C=B.fN("tibemsMsg_ClearBody","19#1830823");
C=B.fN("tibemsMsg_ClearProperties","19#1830840");
C=B.fN("tibemsMsg_Create","19#2184909");
C=B.fN("tibemsMsg_CreateCopy","19#2135552");
C=B.fN("tibemsMsg_CreateFromBytes","19#2166752");
C=B.fN("tibemsMsg_Destroy","19#2155402");
C=B.fN("tibemsMsg_GetAsBytes","19#2157312");
C=B.fN("tibemsMsg_GetAsBytesCopy","19#2157791");
C=B.fN("tibemsMsg_GetBodyType","19#2186287");
C=B.fN("tibemsMsg_GetByteSize","19#2192149");
C=B.fN("tibemsMsg_GetCorrelationID","19#2197721");
C=B.fN("tibemsMsg_GetDeliveryMode","19#2161344");
C=B.fN("tibemsMsg_GetDestination","19#2198105");
C=B.fN("tibemsMsg_GetEncoding","19#2201639");
C=B.fN("tibemsMsg_GetExpiration","19#2203128");
C=B.fN("tibemsMsg_GetMessageID","19#2204775");
C=B.fN("tibemsMsg_GetPriority","19#2204785");
C=B.fN("tibemsMsg_Get Property","19#3389594");
C=B.fN("tibemsMsg_GetPropertyNames","19#2211937");
C=B.fN("tibemsMsg_GetRedelivered","19#2213110");
C=B.fN("tibemsMsg_GetReplyTo","19#2250045");
C=B.fN("tibemsMsg_GetTimestamp","19#2213492");
C=B.fN("tibemsMsg_GetType","19#2250351");
C=B.fN("tibemsMsg_MakeWriteable","19#2253155");
C=B.fN("tibemsMsg_Print","19#2215059");
C=B.fN("tibemsMsg_PrintToBuffer","19#3372448");
C=B.fN("tibemsMsg_PropertyExists","19#1831049");
C=B.fN("tibemsMsg_SetCorrelationID","19#2216514");
C=B.fN("tibemsMsg_SetDeliveryMode","19#2216602");
C=B.fN("tibemsMsg_SetDestination","19#2216688");
C=B.fN("tibemsMsg_SetEncoding","19#2216731");
C=B.fN("tibemsMsg_SetExpiration","19#2216775");
C=B.fN("tibemsMsg_SetMessageID","19#2216817");
C=B.fN("tibemsMsg_SetPriority","19#2216864");
C=B.fN("tibemsMsg_Set Property","19#3398072");
C=B.fN("tibemsMsg_SetRedelivered","19#3400608");
C=B.fN("tibemsMsg_SetReplyTo","19#2242903");
C=B.fN("tibemsMsg_SetTimestamp","19#2217154");
C=B.fN("tibemsMsg_SetType","19#2254574");
B=A.fN("tibemsBytesMsg","20");
C=B.fN("tibemsBytesMsg_Create","20#2259467");
C=B.fN("tibemsBytesMsg_GetBodyLength","20#2261830");
C=B.fN("tibemsBytesMsg_GetBytes","20#2262154");
C=B.fN("tibemsBytesMsg_Read","20#1853063");
C=B.fN("tibemsBytesMsg_ReadBytes","20#2086290");
C=B.fN("tibemsBytesMsg_Reset","20#1734489");
C=B.fN("tibemsBytesMsg_SetBytes","20#2267228");
C=B.fN("tibemsBytesMsg_Write","20#2851612");
C=B.fN("tibemsBytesMsg_WriteBytes","20#2275770");
B=A.fN("tibemsMapMsg","21");
C=B.fN("tibemsMapMsg_Create","21#2342118");
C=B.fN("tibemsMapMsg_Get","21#1760106");
C=B.fN("tibemsMapMsg_GetMapNames","21#2344473");
C=B.fN("tibemsMapMsg_ItemExists","21#2086325");
C=B.fN("tibemsMapMsg\u2014Set","21#1759007");
C=B.fN("tibemsMapMsg_SetBytes","21#2634654");
B=A.fN("tibemsObjectMsg","22");
C=B.fN("tibemsObjectMsg_Create","22#2014887");
C=B.fN("tibemsObjectMsg_GetObjectBytes","22#2356628");
C=B.fN("tibemsObjectMsg_SetObjectBytes","22#2357803");
B=A.fN("tibemsStreamMsg","23");
C=B.fN("tibemsStreamMsg_Create","23#2358088");
C=B.fN("tibemsStreamMsg_FreeField","23#2359338");
C=B.fN("tibemsStreamMsg_Read","23#1765519");
C=B.fN("tibemsStreamMsg_ReadBytes","23#1765632");
C=B.fN("tibemsStreamMsg_ReadField","23#2378898");
C=B.fN("tibemsStreamMsg_Reset","23#2050944");
C=B.fN("tibemsStreamMsg_Write","23#1768346");
C=B.fN("tibemsStreamMsg_WriteBytes","23#2396124");
B=A.fN("tibemsTextMsg","24");
C=B.fN("tibemsTextMsg_Create","24#2015044");
C=B.fN("tibemsTextMsg_GetText","24#2412177");
C=B.fN("tibemsTextMsg_SetText","24#2412220");
B=A.fN("tibemsData","25");
B=A.fN("tibemsDeliveryMode","26");
B=A.fN("tibemsNpCheckMode","27");
B=A.fN("tibemsMsgEnum","28");
C=B.fN("tibemsMsgEnum_Destroy","28#2605609");
C=B.fN("tibemsMsgEnum_GetNextName","28#2605636");
B=A.fN("tibemsMsgField","29");
C=B.fN("tibemsMsgField_Print","29#2617841");
C=B.fN("tibemsMsgField_PrintToBuffer","29#3432933");
B=A.fN("tibemsMsgType","30");
A=P.fN("Chapter\u00a03 Destination","31");
B=A.fN("Destination Overview","32");
B=A.fN("tibemsDestinationType","33");
B=A.fN("tibemsDestination","34");
C=B.fN("tibemsDestination_Copy","34#2764600");
C=B.fN("tibemsDestination_Create","34#2414695");
C=B.fN("tibemsDestination_Destroy","34#2414762");
C=B.fN("tibemsDestination_GetName","34#2415751");
C=B.fN("tibemsDestination_GetType","34#2415956");
B=A.fN("tibemsQueue","35");
C=B.fN("tibemsQueue_Create","35#2810784");
C=B.fN("tibemsQueue_Destroy","35#2417284");
C=B.fN("tibemsQueue_GetQueueName","35#2417383");
B=A.fN("tibemsTemporaryQueue","36");
B=A.fN("tibemsTemporaryTopic","37");
B=A.fN("tibemsTopic","38");
C=B.fN("tibemsTopic_Create","38#1931391");
C=B.fN("tibemsTopic_Destroy","38#2418670");
C=B.fN("tibemsTopic_GetTopicName","38#2418815");
A=P.fN("Chapter\u00a04 Consumer","39");
B=A.fN("tibemsMsgConsumer","40");
C=B.fN("tibemsMsgConsumer_Close","40#2423727");
C=B.fN("tibemsMsgConsumer_GetDestination","40#3917901");
C=B.fN("tibemsMsgConsumer_GetMsgListener","40#1886079");
C=B.fN("tibemsMsgConsumer_GetMsgSelector","40#2424758");
C=B.fN("tibemsMsgConsumer_GetNoLocal","40#3920053");
C=B.fN("tibemsMsgConsumer_Receive","40#1886257");
C=B.fN("tibemsMsgConsumer_ReceiveNoWait","40#2425827");
C=B.fN("tibemsMsgConsumer_ReceiveTimeout","40#2428661");
C=B.fN("tibemsMsgConsumer_SetMsgListener","40#2429622");
B=A.fN("tibemsMsgCallback","41");
A=P.fN("Chapter\u00a05 Producer","42");
B=A.fN("tibemsMsgProducer","43");
C=B.fN("tibemsMsgProducer_Close","43#1895767");
C=B.fN("tibemsMsgProducer_GetDeliveryMode","43#2432221");
C=B.fN("tibemsMsgProducer_GetDestination","43#3916081");
C=B.fN("tibemsMsgProducer_GetDisableMessageID","43#2435792");
C=B.fN("tibemsMsgProducer_GetDisableMessageTimestamp","43#2436679");
C=B.fN("tibemsMsgProducer_GetNPSendCheckMode","43#3318212");
C=B.fN("tibemsMsgProducer_GetPriority","43#2436832");
C=B.fN("tibemsMsgProducer_GetTimeToLive","43#2437674");
C=B.fN("tibemsMsgProducer_Send","43#1895786");
C=B.fN("tibemsMsgProducer_SetDeliveryMode","43#2438182");
C=B.fN("tibemsMsgProducer_SetDisableMessageID","43#2438216");
C=B.fN("tibemsMsgProducer_SetDisableMessageTimestamp","43#2438246");
C=B.fN("tibemsMsgProducer_SetNPSendCheckMode","43#3303794");
C=B.fN("tibemsMsgProducer_SetPriority","43#2438276");
C=B.fN("tibemsMsgProducer_SetTimeToLive","43#2438307");
A=P.fN("Chapter\u00a06 Requestor","44");
B=A.fN("tibemsMsgRequestor","45");
C=B.fN("tibemsMsgRequestor_Close","45#2451528");
C=B.fN("tibemsMsgRequestor_Create","45#3918323");
C=B.fN("tibemsMsgRequestor_Request","45#2451663");
A=P.fN("Chapter\u00a07 Connection","46");
B=A.fN("tibemsConnection","47");
C=B.fN("tibemsConnection_Close","47#1899612");
C=B.fN("tibemsConnection_Create","47#2461539");
C=B.fN("tibemsConnection_CreateSession","47#2051023");
C=B.fN("tibemsConnection_GetActiveURL","47#2466599");
C=B.fN("tibemsConnection_GetClientId","47#2467344");
C=B.fN("tibemsConnection_GetExceptionListener","47#2468236");
C=B.fN("tibemsConnection_GetMetaData","47#3506220");
C=B.fN("tibemsConnection_IsDisconnected","47#4173330");
C=B.fN("tibemsConnection_SetClientId","47#2469639");
C=B.fN("tibemsConnection_SetExceptionListener","47#2468452");
C=B.fN("tibemsConnection_Start","47#2051040");
C=B.fN("tibemsConnection_Stop","47#2051057");
B=A.fN("tibemsConnectionMetaData","48");
C=B.fN("tibemsConnectionMetaData_GetEMS","48#3592230");
C=B.fN("tibemsConnectionMetaData_GetProvider","48#3592233");
C=B.fN("tibemsConnectionMetaData_GetEMSProviderName","48#3590553");
B=A.fN("tibemsExceptionCallback","49");
B=A.fN("tibemsMulticastExceptionCallback","50");
B=A.fN("tibemsSSL","51");
C=B.fN("tibemsSSL_GetTrace","51#2662039");
C=B.fN("tibemsSSL_OpenSSLVersion","51#2663306");
C=B.fN("tibemsSSL_SetTrace","51#2664191");
B=A.fN("tibemsSSLParams","52");
C=B.fN("tibemsSSLParams_AddIssuerCert","52#2659540");
C=B.fN("tibemsSSLParams_AddTrustedCert","52#2659604");
C=B.fN("tibemsSSLParams_Create","52#2659668");
C=B.fN("tibemsSSLParams_Destroy","52#2659678");
C=B.fN("tibemsSSLParams_GetIdentity","52#2659699");
C=B.fN("tibemsSSLParams_GetPrivateKey","52#2659745");
C=B.fN("tibemsSSLParams_SetAuthOnly","52#3450625");
C=B.fN("tibemsSSLParams_SetCiphers","52#2659827");
C=B.fN("tibemsSSLParams_SetExpectedHostName","52#3450728");
C=B.fN("tibemsSSLParams_SetHostNameVerifier","52#2659963");
C=B.fN("tibemsSSLParams_SetIdentity","52#2660007");
C=B.fN("tibemsSSLParams_SetPrivateKey","52#2660065");
C=B.fN("tibemsSSLParams_SetRandData","52#2660123");
C=B.fN("tibemsSSLParams_SetVerifyHost","52#2660260");
B=A.fN("tibemsSSLHostNameVerifier","53");
A=P.fN("Chapter\u00a08 Connection Factory","54");
B=A.fN("tibemsConnectionFactory","55");
C=B.fN("tibemsConnectionFactory_Create","55#1907566");
C=B.fN("tibemsConnectionFactory_CreateConnection","55#1907624");
C=B.fN("tibemsConnectionFactory_CreateXAConnection","55#3921971");
C=B.fN("tibemsConnectionFactory_Destroy","55#2498560");
C=B.fN("tibemsConnectionFactory_GetSSLProxyHost","55#3122461");
C=B.fN("tibemsConnectionFactory_GetSSLProxyPort","55#3123930");
C=B.fN("tibemsConnectionFactory_GetSSLProxyUser","55#3124929");
C=B.fN("tibemsConnectionFactory_GetSSLProxyPassword","55#3125107");
C=B.fN("tibemsConnectionFactory_Print","55#3365673");
C=B.fN("tibemsConnectionFactory_SetClientID","55#3365676");
C=B.fN("tibemsConnectionFactory_SetConnectAttemptCount","55#2500323");
C=B.fN("tibemsConnectionFactory_SetConnectAttemptDelay","55#2501044");
C=B.fN("tibemsConnectionFactory_SetConnectAttemptTimeout","55#3286804");
C=B.fN("tibemsConnectionFactory_SetMetric","55#2501281");
C=B.fN("tibemsConnectionFactory_SetMulticastDaemon","55#3900923");
C=B.fN("tibemsConnectionFactory_SetMulticastEnabled","55#3901890");
C=B.fN("tibemsConnectionFactory_SetPkPassword","55#3295422");
C=B.fN("tibemsConnectionFactory_SetReconnectAttemptCount","55#2502038");
C=B.fN("tibemsConnectionFactory_SetReconnectAttemptDelay","55#2502071");
C=B.fN("tibemsConnectionFactory_SetReconnectAttemptTimeout","55#3287870");
C=B.fN("tibemsConnectionFactory_SetServerURL","55#2502807");
C=B.fN("tibemsConnectionFactory_SetSSLParams","55#2503608");
C=B.fN("tibemsConnectionFactory_SetSSLProxy","55#3117474");
C=B.fN("tibemsConnectionFactory_SetSSLProxyAuth","55#3118621");
C=B.fN("tibemsConnectionFactory_SetUserName","55#4164630");
C=B.fN("tibemsConnectionFactory_SetUserPassword","55#4171795");
B=A.fN("tibemsFactoryLoadBalanceMetric","56");
A=P.fN("Chapter\u00a09 Session","57");
B=A.fN("tibemsSession","58");
C=B.fN("tibemsSession_Close","58#1917969");
C=B.fN("tibemsSession_Commit","58#2512546");
C=B.fN("tibemsSession_CreateBrowser","58#1918491");
C=B.fN("tibemsSession_CreateBytesMessage","58#1919906");
C=B.fN("tibemsSession_CreateConsumer","58#2514639");
C=B.fN("tibemsSession_CreateDurableSubscriber","58#1920214");
C=B.fN("tibemsSession_CreateMapMessage","58#1920176");
C=B.fN("tibemsSession_CreateMessage","58#2515496");
C=B.fN("tibemsSession_CreateProducer","58#1921780");
C=B.fN("tibemsSession_CreateStreamMessage","58#1922175");
C=B.fN("tibemsSession_CreateTemporaryQueue","58#2051125");
C=B.fN("tibemsSession_CreateTemporaryTopic","58#1922453");
C=B.fN("tibemsSession_CreateTextMessage","58#1922635");
C=B.fN("tibemsSession_DeleteTemporaryQueue","58#2789068");
C=B.fN("tibemsSession_DeleteTemporaryTopic","58#2519092");
C=B.fN("tibemsSession_GetAcknowledgeMode","58#1922911");
C=B.fN("tibemsSession_GetTransacted","58#2522468");
C=B.fN("tibemsSession_Recover","58#2519670");
C=B.fN("tibemsSession_Rollback","58#1923578");
C=B.fN("tibemsSession_Unsubscribe","58#3289401");
B=A.fN("tibemsAcknowledgeMode","59");
A=P.fN("Chapter\u00a010 Queue Browser","60");
B=A.fN("tibemsQueueBrowser","61");
C=B.fN("tibemsQueueBrowser_Close","61#1941230");
C=B.fN("tibemsQueueBrowser_GetMsgSelector","61#2587639");
C=B.fN("tibemsQueueBrowser_GetNext","61#2535099");
C=B.fN("tibemsQueueBrowser_GetQueue","61#2535896");
A=P.fN("Chapter\u00a011 Name Server Lookup","62");
B=A.fN("tibemsLookupContext","63");
C=B.fN("tibemsLookupContext_Create","63#1936231");
C=B.fN("tibemsLookupContext_CreateExternal","63#2536395");
C=B.fN("tibemsLookupContext_Destroy","63#2536999");
C=B.fN("tibemsLookupContext_Lookup","63#1936026");
B=A.fN("tibemsLookupParams","64");
C=B.fN("tibemsLookupParams_Create","64#2867410");
C=B.fN("tibemsLookupParams_Destroy","64#2538520");
C=B.fN("tibemsLookupParams_GetLdapServerUrl","64#2538879");
C=B.fN("tibemsLookupParams_SetLdapBaseDN","64#2539316");
C=B.fN("tibemsLookupParams_SetLdapCAFile","64#2541392");
C=B.fN("tibemsLookupParams_SetLdapCAPath","64#2541504");
C=B.fN("tibemsLookupParams_SetLdapCertFile","64#2541565");
C=B.fN("tibemsLookupParams_SetLdapCiphers","64#2542391");
C=B.fN("tibemsLookupParams_SetLdapConnType","64#2540835");
C=B.fN("tibemsLookupParams_SetLdapCredential","64#2540182");
C=B.fN("tibemsLookupParams_SetLdapKeyFile","64#2541914");
C=B.fN("tibemsLookupParams_SetLdapPrincipal","64#2539789");
C=B.fN("tibemsLookupParams_SetLdapRandFile","64#2542280");
C=B.fN("tibemsLookupParams_SetLdapSearchScope","64#2540318");
C=B.fN("tibemsLookupParams_SetLdapServerUrl","64#2540070");
A=P.fN("Chapter\u00a012 XA\u2014External Transaction Manager","65");
B=A.fN("tibemsXAConnection","66");
C=B.fN("tibemsXAConnection_Close","66#3115854");
C=B.fN("tibemsXAConnection_Create","66#2674946");
C=B.fN("tibemsXAConnection_CreateXASession","66#3117138");
C=B.fN("tibemsXAConnection_Get","66#2675180");
C=B.fN("tibemsXAConnection_GetXASession","66#2675765");
B=A.fN("XID","67");
B=A.fN("tibemsXAResource","68");
C=B.fN("tibemsXAResource_Commit","68#2676920");
C=B.fN("tibemsXAResource_End","68#2677380");
C=B.fN("tibemsXAResource_Forget","68#2677833");
C=B.fN("tibemsXAResource_GetRMID","68#2677916");
C=B.fN("tibemsXAResource_GetTransactionTimeout","68#2679932");
C=B.fN("tibemsXAResource_isSameRM","68#2678839");
C=B.fN("tibemsXAResource_Prepare","68#2679250");
C=B.fN("tibemsXAResource_Recover","68#2679329");
C=B.fN("tibemsXAResource_Rollback","68#2679816");
C=B.fN("tibemsXAResource_SetRMID","68#2678758");
C=B.fN("tibemsXAResource_SetTransactionTimeout","68#2678770");
C=B.fN("tibemsXAResource_Start","68#2679989");
B=A.fN("tibemsXASession","69");
C=B.fN("tibemsXASession_Close","69#2680722");
C=B.fN("tibemsXASession_GetSession","69#2681119");
C=B.fN("tibemsXASession_GetXAResource","69#2681222");
A=P.fN("Chapter\u00a013 Types","70");
B=A.fN("Uniform Types","71");
A=P.fN("Chapter\u00a014 Utilities","72");
B=A.fN("Utility Functions","73");
C=B.fN("tibems_Close","73#3094628");
C=B.fN("tibems_GetAllowCloseInCallback","73#4091190");
C=B.fN("tibems_GetConnectAttemptCount","73#2009985");
C=B.fN("tibems_GetConnectAttemptDelay","73#2588098");
C=B.fN("tibems_GetConnectAttemptTimeout","73#3288156");
C=B.fN("tibems_GetExceptionOnFTSwitch","73#3289745");
C=B.fN("tibems_GetMulticastDaemon","73#4015215");
C=B.fN("tibems_GetMulticastEnabled","73#4015962");
C=B.fN("tibems_GetReconnectAttemptCount","73#2588528");
C=B.fN("tibems_GetReconnectAttemptDelay","73#2588544");
C=B.fN("tibems_GetReconnectAttemptTimeout","73#3288378");
C=B.fN("tibems_GetSocketReceiveBufferSize","73#2024226");
C=B.fN("tibems_GetSocketSendBufferSize","73#2024244");
C=B.fN("tibems_IsConsumerMulticast","73#4016106");
C=B.fN("tibems_Open","73#3265969");
C=B.fN("tibems_SetAllowCloseInCallback","73#4093064");
C=B.fN("tibems_SetConnectAttemptCount","73#3265972");
C=B.fN("tibems_SetConnectAttemptDelay","73#2588217");
C=B.fN("tibems_SetConnectAttemptTimeout","73#3288471");
C=B.fN("tibems_SetExceptionOnFTSwitch","73#3290013");
C=B.fN("tibems_SetMulticastDaemon","73#4016892");
C=B.fN("tibems_SetMulticastEnabled","73#4017118");
C=B.fN("tibems_SetMulticastExceptionListener","73#4017895");
C=B.fN("tibems_SetReconnectAttemptCount","73#2020592");
C=B.fN("tibems_SetReconnectAttemptDelay","73#2588655");
C=B.fN("tibems_SetReconnectAttemptTimeout","73#3288696");
C=B.fN("tibems_SetSocketReceiveBufferSize","73#2022674");
C=B.fN("tibems_SetSocketSendBufferSize","73#2022376");
C=B.fN("tibems_SetTraceFile","73#3433209");
C=B.fN("tibems_Sleep","73#3433376");
C=B.fN("tibems_Version","73#2589025");
A=P.fN("Chapter\u00a015 Administration","74");
B=A.fN("Administration Overview","75");
B=A.fN("tibemsAdmin","76");
C=B.fN("tibemsAdmin_Close","76#3478628");
C=B.fN("tibemsAdmin_Create","76#3478673");
C=B.fN("tibemsAdmin_GetCommandTimeout","76#3478738");
C=B.fN("tibemsAdmin_GetConsumer","76#3478788");
C=B.fN("tibemsAdmin_GetConsumers","76#3478843");
C=B.fN("tibemsAdmin_GetInfo","76#3478922");
C=B.fN("tibemsAdmin_GetProducerStatistics","76#3478972");
C=B.fN("tibemsAdmin_GetQueue","76#3479040");
C=B.fN("tibemsAdmin_GetQueues","76#3479095");
C=B.fN("tibemsAdmin_GetTopic","76#3479156");
C=B.fN("tibemsAdmin_GetTopics","76#3479211");
C=B.fN("tibemsAdmin_SetCommandTimeout","76#3479272");
C=B.fN("tibemsAdmin_SetExceptionListener","76#3479321");
B=A.fN("tibemsCollection","77");
C=B.fN("tibemsCollection_Destroy","77#3479479");
C=B.fN("tibemsCollection_GetCount","77#3479523");
C=B.fN("tibemsCollection_GetFirst","77#3479573");
C=B.fN("tibemsCollection_GetNext","77#3479623");
B=A.fN("tibemsConsumerInfo","78");
C=B.fN("tibemsConsumerInfo_Destroy","78#3479985");
C=B.fN("tibemsConsumerInfo_GetCreateTime","78#3480029");
C=B.fN("tibemsConsumerInfo_GetCurrentMsgCountSentByServer","78#3480079");
C=B.fN("tibemsConsumerInfo_GetCurrentMsgSizeSentByServer","78#3480128");
C=B.fN("tibemsConsumerInfo_GetDestinationName","78#3480177");
C=B.fN("tibemsConsumerInfo_GetDestinationType","78#3480231");
C=B.fN("tibemsConsumerInfo_GetDetailedStatistics","78#3480280");
C=B.fN("tibemsConsumerInfo_GetDurableName","78#3910264");
C=B.fN("tibemsConsumerInfo_GetElapsedSinceLastAcknowledged","78#3480379");
C=B.fN("tibemsConsumerInfo_GetElapsedSinceLastSent","78#3480428");
C=B.fN("tibemsConsumerInfo_GetID","78#3480477");
C=B.fN("tibemsConsumerInfo_GetPendingMessageCount","78#3480526");
C=B.fN("tibemsConsumerInfo_GetPendingMessageSize","78#3480575");
C=B.fN("tibemsConsumerInfo_GetStatistics","78#3480624");
C=B.fN("tibemsConsumerInfo_GetTotalAcknowledgedCount","78#3480673");
C=B.fN("tibemsConsumerInfo_GetTotalMsgCountSentByServer","78#3480722");
C=B.fN("tibemsConsumerInfo_IsActive","78#3480771");
C=B.fN("tibemsConsumerInfo_IsConnected","78#3480820");
C=B.fN("tibemsConsumerInfo_IsConnectionConsumer","78#3480868");
B=A.fN("tibemsDetailedDestStat","79");
C=B.fN("tibemsDetailedDestStat_GetDestinationName","79#3481053");
C=B.fN("tibemsDetailedDestStat_GetDestinationType","79#3481108");
C=B.fN("tibemsDetailedDestStat_GetStatData","79#3481157");
B=A.fN("tibemsProducerInfo","80");
C=B.fN("tibemsProducerInfo_Destroy","80#3481341");
C=B.fN("tibemsProducerInfo_GetCreateTime","80#3481386");
C=B.fN("tibemsProducerInfo_GetDestinationName","80#3481437");
C=B.fN("tibemsProducerInfo_GetDestinationType","80#3481492");
C=B.fN("tibemsProducerInfo_GetDetailedStatistics","80#3481542");
C=B.fN("tibemsProducerInfo_GetID","80#3481593");
C=B.fN("tibemsProducerInfo_GetStatistics","80#3481643");
B=A.fN("tibemsQueueInfo","81");
C=B.fN("tibemsQueueInfo_Create","81#4000176");
C=B.fN("tibemsQueueInfo_Destroy","81#3956140");
C=B.fN("tibemsQueueInfo_GetDeliveredMessageCount","81#3959967");
C=B.fN("tibemsQueueInfo_GetFlowControlMaxBytes","81#3961387");
C=B.fN("tibemsQueueInfo_GetInboundStatistics","81#3482045");
C=B.fN("tibemsQueueInfo_GetMaxBytes","81#3482094");
C=B.fN("tibemsQueueInfo_GetMaxMsgs","81#3482143");
C=B.fN("tibemsQueueInfo_GetName","81#3482192");
C=B.fN("tibemsQueueInfo_GetOutboundStatistics","81#3482246");
C=B.fN("tibemsQueueInfo_GetOverflowPolicy","81#3482295");
C=B.fN("tibemsQueueInfo_GetPendingMessageCount","81#3482344");
C=B.fN("tibemsQueueInfo_GetPendingMessageSize","81#3482393");
C=B.fN("tibemsQueueInfo_GetReceiverCount","81#3482442");
B=A.fN("tibemsServerInfo","82");
C=B.fN("tibemsServerInfo_Destroy","82#3482596");
C=B.fN("tibemsServerInfo_GetConsumerCount","82#3482641");
C=B.fN("tibemsServerInfo_GetProducerCount","82#3482691");
C=B.fN("tibemsServerInfo_GetQueueCount","82#3482741");
C=B.fN("tibemsServerInfo_GetTopicCount","82#3482791");
B=A.fN("tibemsStatData","83");
C=B.fN("tibemsStatData_GetByteRate","83#3482989");
C=B.fN("tibemsStatData_GetMessageRate","83#3483038");
C=B.fN("tibemsStatData_GetTotalBytes","83#3483087");
C=B.fN("tibemsStatData_GetTotalMessages","83#3483137");
B=A.fN("tibemsTopicInfo","84");
C=B.fN("tibemsTopicInfo_Create","84#4005959");
C=B.fN("tibemsTopicInfo_Destroy","84#3483411");
C=B.fN("tibemsTopicInfo_GetActiveDurableCount","84#3483455");
C=B.fN("tibemsTopicInfo_GetDurableCount","84#3483504");
C=B.fN("tibemsTopicInfo_GetFlowControlMaxBytes","84#3483553");
C=B.fN("tibemsTopicInfo_GetInboundStatistics","84#3483602");
C=B.fN("tibemsTopicInfo_GetMaxBytes","84#3483651");
C=B.fN("tibemsTopicInfo_GetMaxMsgs","84#3483700");
C=B.fN("tibemsTopicInfo_GetName","84#3483749");
C=B.fN("tibemsTopicInfo_GetOutboundStatistics","84#3483803");
C=B.fN("tibemsTopicInfo_GetOverflowPolicy","84#3483852");
C=B.fN("tibemsTopicInfo_GetPendingMessageCount","84#3483901");
C=B.fN("tibemsTopicInfo_GetPendingMessageSize","84#3483950");
C=B.fN("tibemsTopicInfo_GetSubscriberCount","84#3483999");
A=P.fN("Chapter\u00a016 Exception","85");
B=A.fN("tibems_status","86");
C=B.fN("tibemsStatus_GetText","86#2574962");
B=A.fN("tibemsErrorContext","87");
C=B.fN("tibemsErrorContext_Create","87#3177907");
C=B.fN("tibemsErrorContext_Close","87#3178556");
C=B.fN("tibemsErrorContext_GetLastErrorString","87#3178609");
C=B.fN("tibemsErrorContext_GetLastErrorStackTrace","87#3177924");
A=P.fN("Chapter\u00a017 IBM Mainframe","88");
B=A.fN("IBM Mainframe Calls","89");
C=B.fN("tibems_SetCodePages()","89#3116208");
C=B.fN("tibx_MVSConsole_SetConsumer()","89#3103366");
C=B.fN("tibx_MVSConsole_Create()","89#3104621");
B=A.fN("Console_Response","90");
}
